
Red Hat Enterprise Linux AS 4 Update 1 Release Notes

   Copyright © 2005 Red Hat, Inc.
     _________________________________________________________________

Introduction

   The following topics are covered in this document:
     * Changes to the Red Hat Enterprise Linux installation program (Anaconda)
     * General information
     * Changes to drivers and hardware support
     * Changes to packages

Installation Related Notes

   The following section includes information specific to installation of Red
   Hat Enterprise Linux and the Anaconda installation program.

Note

   In order to upgrade an already-installed Red Hat Enterprise Linux 4 system
   to Update 1, you must use Red Hat Network to update those packages that have
   changed.

   You may use Anaconda to perform a fresh installation of Red Hat Enterprise
   Linux 4 Update 1 or to perform an upgrade from the latest updated version of
   Red Hat Enterprise Linux 3 to Red Hat Enterprise Linux 4.
     * If you are copying the contents of the Red Hat Enterprise Linux 4 Update
       1 CD-ROMs (in preparation for a network-based installation, for example)
       be sure you copy the CD-ROMs for the operating system only. Do not copy
       the Extras CD-ROM, or any of the layered product CD-ROMs, as this will
       overwrite files necessary for Anaconda's proper operation.
       These CD-ROMs must be installed after Red Hat Enterprise Linux has been
       installed.

General Information

   This section contains general information not specific to any other section
   of this document.
     * The  openssh-3.9p1  package included in Red Hat Enterprise Linux 4
       introduced two different modes of X11 forwarding: trusted and untrusted.
       In the default Red Hat Enterprise Linux 4 configuration, passing the -X
       flag to /usr/bin/ssh (or using the "ForwardX11 on" configuration option)
       enables untrusted X11 forwarding. This mode restricts the X11 protocol
       to prevent a malicious application using a forwarded SSH connection from
       compromising the security of the local X11 server (for example, by
       performing keystroke monitoring); but few X11 applications are usable in
       this mode.
       In Red Hat Enterprise Linux 4 Update 1, the default configuration of the
       openssh client has been changed such that passing the -X flag enables
       trusted  X11  forwarding. The trusted forwarding mode allows all X
       applications to work correctly when forwarded over an SSH connection;
       but, as with previous releases of Red Hat Enterprise Linux, it should
       only be used when invoking trusted applications.

Important
       X11 forwarding is disabled by default in Red Hat Enterprise Linux 4,
       which differs from previous Red Hat Enterprise Linux releases such that
       attempting to run a malicious X11 application over an ssh connection
       cannot  compromise  the  local X11 server. You should only use X11
       forwarding when connecting to trusted servers.
     * Red  Hat  Enterprise  Linux  4  Update 1 now includes the diskdump
       facility,which can serve as an alternative to (or be used in conjunction
       with) the Red Hat netdump facility.
       The diskdump facility for i386 systems currently support the aic7xxx,
       aic79xx, mpt fusion, megaraid, ata_piix, and sata_promise devices. On
       ia64 systems, the aic7xxx, aic79xx, mpt fusion, and sata_promise devices
       are supported. On AMD64 and Intel® EM64T systems, the aic7xxx, aic79xx,
       mpt fusion, megaraid, sata_promise, and ata_piix devices are supported.
       Finally,  on  PPC64  systems,  the ipr and sym53c8xx_2 devices are
       supported.

Note
       The megaraid and SATA devices are newly supported in Red Hat Enterprise
       Linux 4 Update 1.
       Usage of the diskdump facility requires a dedicated disk device or disk
       partitions that are large enough to contain all physical system memory.
       In the event of a system crash, memory will be written to the configured
       disk location. Upon subsequent reboot, the data will be copied from the
       configured disk location and formatted into a vmcore file, identical in
       functionality to that created by the netdump facility, and stored in the
       unique subdirectory /var/crash/. The vmcore file may be analyzed using
       the crash(8) utility.

Important
       The diskdump facility may fail to write a dump file if cluster mode is
       enabled on megaraid adapters. You can disable cluster mode on megaraid
       adapters using the device's WebBIOS utility. Consult your manufacturer
       documentation for more information on using WebBIOS.
       The kernel modules required for the diskdump facility are automatically
       included  in the Red Hat Enterprise Linux 4 kernel. The associated
       user-space diskdump package is named diskdumputils-1.0.1-5, and like
       netdump, is installed by default.
       The  appropriate  disk  location must first be configured and then
       preformatted for use. After formatting, the diskdump facility may be
       turned on with chkconfig(8), and then the service must be started.
       Detailed  documentation concerning configuration and user tasks is
       included with the diskdumputils at the following:
/usr/share/doc/diskdumputils-1.0.1-5/README
       Further information can be found in the diskdumpfmt(8), diskdumpctl(8),
       and savecore(8) man pages.

Kernel Notes

   This section contains notes relating to the Red Hat Enterprise Linux 4
   Update 1 kernel.
     * An issue that causes USB mice to stop responding after a few hours of
       use has been discovered on certain systems. A BIOS setting that enables
       USB  emulation  causes  2.6  kernel mouse driving to freeze, which
       necessitates either changing to a virtual console using Ctrl-Alt-Fx then
       switching back to the graphical desktop or unplugging and re-plugging
       the mouse in order to regain functionality.
       To prevent the freezing of USB mice, it is recommended to disable USB
       Emulation support (also called USB Legacy Support) in the system's
       BIOS.  Refer  to  your  system manufacturer documentation for more
       information about finding and disabling this BIOS setting.
     * The Red Hat Enterprise Linux 4 Update 1 kernel automatically disables
       NUMA optimizations (numa=off) by default on systems using the AMD64 dual
       core processor. This ensures stable operation across multiple systems
       where each has a different system BIOS implementation for reporting dual
       core processors.
       Users have the ability to safely override this default for a system
       where the manufacturer has stated conformance with the reporting of dual
       core processors as expected by Red Hat Enterprise Linux 4 Update 1
       kernel.
       Users can override the numa=off default by specifying numa=on on the
       Linux boot prompt or on the active kernel line in the grub.conf file. If
       the  system fails to boot after enabling this function, remove the
       override and retry it. This limitation is expected to be removed in a
       future Red Hat Enterprise Linux 4 update.

Changes to Drivers and Hardware Support

   This update includes bug fixes for a number of drivers. The more significant
   driver updates are listed below. In some cases, the original driver has been
   preserved  under  a  different name, and is available as a non-default
   alternative  for  organizations  that  wish  to  migrate  their driver
   configuration to the latest versions at a later time.

Note

   The migration to the latest drivers should be completed before the next Red
   Hat Enterprise Linux update is applied, because in most cases only one
   older-revision driver will be preserved for each update.

   The following device drivers are updated in Red Hat Enterprise Linux 4
   Update 1:
     * Emulex LightPulse Fibre Channel HBA (lpfc driver)
     * LSI Logic MegaRAID Controller family (megaraid_mbox driver)
     * Intel®  PRO/Wireless 2100/2200 adapters (ieee80211/ipw2100/ipw2200
       drivers)
     * Broadcom Tigon3 (tg3 driver)
     * Intel® Pro/100 Adapter family (e100 driver)
     * Intel® PRO/1000 Adapters (e1000 driver)
     * Serial ATA (SATA) devices (sata driver)
     * Neterion 10GB Ethernet adapter (s2io driver)

     * The kernel shipped with Red Hat Enterprise Linux 4 Update 1 includes the
       new megaraid_mbox driver from LSI Logic, which replaces the megaraid
       driver. The megaraid_mbox driver has an improved design, is compatible
       with the 2.6 kernel, and includes support for the latest hardware.
       However, megaraid_mbox does not support some of the older hardware that
       was supported by the megaraid driver.
       Adapters with the following PCI vendor ID and device ID pairs are not
       supported by the megaraid_mbox driver:

vendor, device

0x101E, 0x9010
0x101E, 0x9060
0x8086, 0x1960

       The  lspci  -n command can be used to display the IDs for adapters
       installed in a particular machine. Products with these IDs are known by
       (but not limited to) the following model names:

     * Broadcom 5820
     * Dell PERC (dual-channel fast/wide SCSI) RAID controller
     * Dell PERC2/SC (single-channel Ultra SCSI) RAID controller
     * Dell PERC2/DC (dual-channel Ultra SCSI) RAID controller
     * Dell CERC (four-channel ATA/100) RAID controller
     * DRAC 1
     * MegaRAID 428
     * MegaRAID 466
     * MegaRAID Express 500
     * HP NetRAID 3Si and 1M

Note

   Both Dell and LSI Logic have indicated that they no longer support these
   models  in  the  2.6 kernel. As a result, these adapters are no longer
   supported in Red Hat Enterprise Linux 4 Update 1.
     * Red Hat Enterprise Linux 4 Update 1 provides support for disk devices
       that are larger than 2 terabytes (TB). Although there is limited support
       for this feature in the Red Hat Enterprise Linux 4 release, Update 1
       contains many improvements (both in user space programs and in the
       kernel). In general, Update 1 is considered a requirement for support of
       disk devices larger than 2 TB.
       Please note the following guidelines and restrictions related to large
       device support:
       · Typical disk devices are addressed in units of 512 byte blocks. The
       size of the address in the SCSI command determines the maximum device
       size. The SCSI command set includes commands that have 16-bit block
       addresses (device size is limited to 2 GB), 32-bit block addresses
       (limited to addressing 2 TB), and 64-bit block addresses. The SCSI
       subsystem in the 2.6 kernel has support for commands with 64-bit block
       addresses. To support disks larger then 2 TB, the Host Bus Adapter
       (HBA), the HBA driver, and the storage device must also support 64-bit
       block address. Red Hat has tested the QLogic qla2300 driver and the
       Emulex lpfc driver, included in Red Hat Enterprise Linux 4 Update 1, on
       an 8 TB logical unit on a Winchester Systems FX400 (rev. 3.42B and above
       is required).
       · The commonly-used MS-DOS partition table format can not be used on
       devices  larger  than  2 TB. For devices larger than 2 TB, the GPT
       partition table format must be used. The parted utility must be used for
       the  creation  and  management  of GPT partitions. To create a GPT
       partition, use the parted command mklabel gpt.
       Red Hat requires that all block devices be initialized with a valid
       partition table, even if there is a single partition encompassing the
       entire device. This requirement exists to prevent potential problems
       caused by erroneous or unintended partition tables on the device.
       · The Anaconda installer currently only supports GPT partition tables on
       the Itanium™ architecture. As a result, it is not possible to install or
       format  devices that are larger that 2 TB with Anaconda, except on
       Itanium™ platforms.
       · The / and /boot directories must be located on devices that are 2 TB
       in size or less.
       ·  Various  issues with LVM2 on large devices are fixed in Red Hat
       Enterprise Linux 4 Update 1. Do not use LVM2 on devices larger than 2 TB
       prior to installing Update 1.
       As noted above, Red Hat requires that a partition table be written to
       the block device, even when it is used as part of an LVM2 Volume Group.
       In this case, you may create a single partition that spans the entire
       device. Then, be sure to specify the full partition name (for example,
       /dev/sda1,  not  /dev/sda), when you use the pvcreate and vgcreate
       commands.
       · The maximum size disk that can be a member of an md software RAID set
       is 2 TB. The md RAID device itself can be larger than 2 TB. Red Hat has
       tested md devices up to 8 TB.
       · Various issues with e2fsprogs that occur on devices larger than 4 TB
       are addressed in Red Hat Enterprise Linux 4 Update 1. Prior to Update 1,
       these issues can be worked around by specifying mke2fs -b 4096 when
       making an ext2 or ext3 filesystem. The workaround is not necessary in
       Update 1.
       The ext2 and ext3 filesystems have an internal limit of 8 TB. Devices up
       to this limit have been tested in Red Hat Enterprise Linux 4 Update 1.
       You may want to use the mke2fs -T largefile4 command to speed up the
       creation of large filesystems.
       ·  The GFS filesystem is limited to 16 TB on 32-bit systems, and 8
       exabytes (EB) with 64-bit systems. Red Hat has tested GFS filesystem
       sizes up to 8 TB.
       · NFS partitions greater than 2 TB have been tested and are supported.
       · Red Hat Enterprise Linux 4 Update 1 user space tools are compiled for
       large file support. However, it is not possible to test every program in
       this mode. Please file a problem report if issues arise when using the
       tools for large file support.
       · The inn program does not function correctly with devices larger than 2
       TB. This will be addressed in a future release of Red Hat Enterprise
       Linux.

Changes to Packages

   This section contains listings of packages that have been updated or added
   from Red Hat Enterprise Linux 4 as part of Update 1.

Note

   These package lists include packages from all variants of Red Hat Enterprise
   Linux 4. Your system may not include every one of the packages listed here.

   The following packages have been updated from the original release of Red
   Hat Enterprise Linux 4:
     * HelixPlayer
     * ImageMagick
     * ImageMagick-c++
     * ImageMagick-c++-devel
     * ImageMagick-devel
     * ImageMagick-perl
     * alsa-lib
     * alsa-lib-devel
     * anaconda
     * anaconda-product
     * anaconda-runtime
     * apr
     * apr-devel
     * arpwatch
     * authconfig
     * authconfig-gtk
     * autofs
     * binutils
     * bootparamd
     * chkconfig
     * comps-4AS
     * coreutils
     * cpio
     * cpp
     * crash
     * cups
     * cups-devel
     * cups-libs
     * curl
     * curl-devel
     * dbus
     * dbus-devel
     * dbus-glib
     * dbus-python
     * dbus-x11
     * devhelp
     * devhelp-devel
     * device-mapper
     * diskdumputils
     * dmraid
     * e2fsprogs
     * e2fsprogs-devel
     * elinks
     * emacs
     * emacs-common
     * emacs-el
     * emacs-leim
     * emacs-nox
     * enscript
     * ethereal
     * ethereal-gnome
     * evolution
     * evolution-connector
     * evolution-data-server
     * evolution-data-server-devel
     * evolution-devel
     * exim
     * exim-doc
     * exim-mon
     * exim-sa
     * firefox
     * fonts-xorg-100dpi
     * fonts-xorg-75dpi
     * fonts-xorg-ISO8859-14-100dpi
     * fonts-xorg-ISO8859-14-75dpi
     * fonts-xorg-ISO8859-15-100dpi
     * fonts-xorg-ISO8859-15-75dpi
     * fonts-xorg-ISO8859-2-100dpi
     * fonts-xorg-ISO8859-2-75dpi
     * fonts-xorg-ISO8859-9-100dpi
     * fonts-xorg-ISO8859-9-75dpi
     * fonts-xorg-base
     * fonts-xorg-cyrillic
     * fonts-xorg-syriac
     * fonts-xorg-truetype
     * gaim
     * gcc
     * gcc-c++
     * gcc-g77
     * gcc-gnat
     * gcc-java
     * gcc-objc
     * gdb
     * gdk-pixbuf
     * gdk-pixbuf-devel
     * gdm
     * glibc
     * glibc-common
     * glibc-devel
     * glibc-headers
     * glibc-profile
     * glibc-utils
     * gpdf
     * gsl
     * gsl-devel
     * gtk2
     * gtk2-devel
     * hotplug
     * htdig
     * htdig-web
     * httpd
     * httpd-devel
     * httpd-manual
     * httpd-suexec
     * hwbrowser
     * hwdata
     * iiimf-csconv
     * iiimf-docs
     * iiimf-emacs
     * iiimf-gnome-im-switcher
     * iiimf-gtk
     * iiimf-le-canna
     * iiimf-le-hangul
     * iiimf-le-sun-thai
     * iiimf-le-unit
     * iiimf-libs
     * iiimf-libs-devel
     * iiimf-server
     * iiimf
     * initscripts
     * ipsec-tools
     * java-1.4.2-gcj-compat
     * java-1.4.2-gcj-compat-devel
     * kdegraphics
     * kdegraphics-devel
     * kdelibs
     * kdelibs-devel
     * kernel
     * kernel-devel
     * kernel-doc
     * kernel-hugemem
     * kernel-hugemem-devel
     * kernel-smp
     * kernel-smp-devel
     * kernel-utils
     * krb5-devel
     * krb5-libs
     * krb5-server
     * krb5-workstation
     * kudzu
     * kudzu-devel
     * libaio
     * libaio-devel
     * libexif
     * libexif-devel
     * libf2c
     * libgcc
     * libgcj
     * libgcj-devel
     * libgnat
     * libobjc
     * libpcapk
     * libstdc++
     * libstdc++-devel
     * libtiff
     * libtiff-devel
     * libtool
     * libtool-libs
     * lsof
     * lvm2
     * mailman
     * man-pages-ja
     * mod_auth_mysql
     * mod_python
     * mod_ssl
     * mozilla
     * mozilla-chat
     * mozilla-devel
     * mozilla-dom-inspector
     * mozilla-js-debugger
     * mozilla-mail
     * mozilla-nspr
     * mozilla-nspr-devel
     * mozilla-nss
     * mozilla-nss-devel
     * mysql
     * mysql-bench
     * mysql-devel
     * mysql-server
     * net-tools
     * netdump
     * netdump-server
     * nptl-devel
     * nscd
     * nss_ldap
     * ntsysv
     * openoffice.org
     * openoffice.org-i18n
     * openoffice.org-kde
     * openoffice.org-libs
     * openssh
     * openssh-askpass
     * openssh-askpass-gnome
     * openssh-clients
     * openssh-server
     * pam
     * pam-devel
     * pango
     * pango-devel
     * pciutils
     * pciutils-devel
     * pcmcia-cs
     * perl
     * perl-DBI
     * perl-suidperl
     * php
     * php-devel
     * php-domxml
     * php-gd
     * php-imap
     * php-ldap
     * php-mbstring
     * php-mysql
     * php-ncurses
     * php-odbc
     * php-pear
     * php-pgsql
     * php-snmp
     * php-xmlrpc
     * policycoreutils
     * popt
     * postfix
     * postfix-pflogsumm
     * postgresql
     * postgresql-contrib
     * postgresql-devel
     * postgresql-docs
     * postgresql-jdbc
     * postgresql-libs
     * postgresql-odbc
     * postgresql-pl
     * postgresql-python
     * postgresql-server
     * postgresql-tcl
     * postgresql-test
     * procps
     * psacct
     * python
     * python-devel
     * python-docs
     * python-tools
     * redhat-lsb
     * redhat-release
     * rpm
     * rpm-build
     * rpm-devel
     * rpm-libs
     * rpm-python
     * rpmdb-redhat
     * rsh
     * rsh-server
     * selinux-policy-targeted
     * selinux-policy-targeted-sources
     * squid
     * squirrelmail
     * strace
     * system-config-kickstart
     * system-config-lvm
     * tcpdump
     * telnet
     * telnet-server
     * tetex
     * tetex-afm
     * tetex-doc
     * tetex-dvips
     * tetex-fonts
     * tetex-latex
     * tetex-xdvi
     * thunderbird
     * tkinter
     * ttfonts-ja
     * tzdata
     * up2date
     * up2date-gnome
     * vim-X11
     * vim-common
     * vim-enhanced
     * vim-minimal
     * xemacs
     * xemacs-common
     * xemacs-el
     * xemacs-info
     * xemacs-nox
     * xloadimage
     * xorg-x11
     * xorg-x11-Mesa-libGL
     * xorg-x11-Mesa-libGLU
     * xorg-x11-Xdmx
     * xorg-x11-Xnest
     * xorg-x11-Xvfb
     * xorg-x11-deprecated-libs
     * xorg-x11-deprecated-libs-devel
     * xorg-x11-devel
     * xorg-x11-doc
     * xorg-x11-font-utils
     * xorg-x11-libs
     * xorg-x11-sdk
     * xorg-x11-tools
     * xorg-x11-twm
     * xorg-x11-xauth
     * xorg-x11-xdm
     * xorg-x11-xfs
     * xpdf

   The following new packages have been added to Red Hat Enterprise Linux 4
   Update 1:
     * compat-libcom_err-1.0-5

   The following packages have been removed from Red Hat Enterprise Linux 4
   Update 1:
     * No packages have been removed.

   ( x86 )
